// (c) 2006-2007 Electronic Arts Inc.
#include <stdio.h>

#if defined(_MSC_VER)
#define WINMAIN 1
#endif

#ifdef WINMAIN

#include <windows.h>

int WINAPI WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstance, PSTR lpszCmdLine, int cmdShow)
{
    printf("WinMain\n");
    for (int i=0; lpszCmdLine[i]; ++i)
        printf("%c",lpszCmdLine[i]);
    return 0;
}

#else

int main(int argc, char **argv)
{
    for (int i=0; i<argc; ++i)
        printf("%s ",argv[i]);
    return 0;
}

#endif
